libxml++ 3.2.0

Public Member Functions | List of all members
xmlpp::validity_error Class Reference

This exception will be thrown when the parser encounters a validity error in the XML document. More...

`#include <libxml++/exceptions/validity_error.h>`

Inheritance diagram for xmlpp::validity_error:
[legend]

## Public Member Functions
| validity_error (const Glib::ustring& message)
| ~validity_error () noexcept override
exception* | clone () const override
void | raise () const override
Public Member Functions inherited from xmlpp::parse_error
| parse_error (const Glib::ustring& message)
| ~parse_error () noexcept override
Public Member Functions inherited from xmlpp::exception
| exception (const Glib::ustring& message)
| ~exception () noexcept override
const char* | what () const noexcept override

## Detailed Description

This exception will be thrown when the parser encounters a validity error in the XML document.

## Constructor & Destructor Documentation

## ◆ validity_error()

xmlpp::validity_error::validity_error | ( | const Glib::ustring & | message | ) |
| explicit

## ◆ ~validity_error()

xmlpp::validity_error::~validity_error | ( |  | ) |
| override noexcept

## Member Function Documentation

## ◆ clone()

exception* xmlpp::validity_error::clone | ( |  | ) | const
| override virtual

Reimplemented from xmlpp::parse_error.

## ◆ raise()

void xmlpp::validity_error::raise | ( |  | ) | const
| override virtual

Reimplemented from xmlpp::parse_error.